View workflow job node

Read the execution details of a node in the specified job, including node definition and input and output of this run.

HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/nodes/{node_key}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First View workflow job results confirms the node execution status, and then obtains the node key from the workflow DSL.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/nodes/$NODE_KEY" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

ParameterTypeRequiredDescription
workflow_idstringRequiredWorkflow ID.
execution_idstringRequiredJob ID.
node_keystringRequiredNode key in the workflow DSL.

Successful response

Returns 200 on success. data.node describes the node definition, and data.run describes the running status of the node in this job.

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "node": {
      "flow_id": "flow-001",
      "name": "load",
      "node_key": "root.load",
      "node_type": "operator",
      "display_name": "加载数据",
      "workitem_id": "wi-001",
      "node_execution_id": "node-exec-001"
    },
    "run": {
      "status": "COMPLETED",
      "started_at": "2026-08-18T10:00:00Z",
      "ended_at": "2026-08-18T10:00:01Z",
      "duration_ms": 1200,
      "runtime_input": {},
      "runtime_output": {},
      "config": {},
      "metrics": {}
    }
  }
}
FieldTypeDescription
codestring`OK` when successful.
msgstring`OK` when successful.
data.node.flow_idstringFlow ID to which the node belongs.
data.node.namestringNode name.
data.node.node_keystringDSL node key.
data.node.node_typestringNode type.
data.node.display_namestringNode display name.
data.node.workitem_idstringWork item ID; returned if there is a value.
data.node.node_execution_idstringNode execution ID; returned if there is a value.
data.run.statusstringThe current or final state of the node.
data.run.started_atstringNode run start time; may be omitted if not generated.
data.run.ended_atstringNode run end time; may be omitted if not generated.
data.run.duration_msintegerNode run duration in milliseconds; may be omitted if not generated.
data.run.errorstringNode execution error; returned if there is an error.
data.run.runtime_inputAny JSON valueNode runtime input.
data.run.runtime_outputAny JSON valueNode runtime output.
data.run.runtime_varsAny JSON valueNode runtime variables.
data.run.configAny JSON valueNode runtime configuration.
data.run.metricsobjectNode indicator; returned when provided by the server.
data.run.developer_logsobjectDevelopment log. Can contain `stdout`, `stderr`, `stream`, number of bytes, `runner` and `output_limited`.

Error response

JSON
{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

When you need to continue execution from this node, first View node rerun plan.

Last updated on